Bug 1472861 (CVE-2017-10791, CVE-2017-10792) - CVE-2017-10791 CVE-2017-10792 pspp: Multiple vulnerabilities
Summary: CVE-2017-10791 CVE-2017-10792 pspp: Multiple vulnerabilities
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-10791, CVE-2017-10792
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170701,reported=2...
Depends On: 1472864
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-19 14:40 UTC by Andrej Nemec
Modified: 2019-06-08 22:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-31 12:50:43 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-07-19 14:40:18 UTC
Multiple vulnerabilities were found in the pspp library.

CVE-2017-10791:

There is an Integer overflow in the hash_int function of the libpspp library in GNU PSPP 0.10.5-pre2. For example, a crash was observed within the library code when attempting to convert invalid SPSS data into CSV format. A crafted input will lead to a denial of service attack.

https://bugzilla.redhat.com/show_bug.cgi?id=1467004

CVE-2017-10792:

There is a NULL Pointer Dereference in the function ll_insert() of the libpspp library in GNU PSPP 0.10.5-pre2. For example, a crash was observed within the library code when attempting to convert invalid SPSS data into CSV format. A crafted input will lead to a denial of service attack.

https://bugzilla.redhat.com/show_bug.cgi?id=1467005

Comment 1 Andrej Nemec 2017-07-19 14:45:14 UTC
Created pspp tracking bugs for this issue:

Affects: fedora-all [bug 1472864]


Note You need to log in before you can comment on or make changes to this bug.